%define __name apache
%define apache_version	1.3.32
%define mod_ssl_version	2.8.21
%define __version	%{apache_version}
%define __release	1ml
%define prefix	/usr

# Distroize
%define VENDOR_NAME Miracle Linux
%define VENDOR_WEBSITE www.miraclelinux.com

# Enable this if you use PHP4 + Oracle8 (oci8)
%define ORACLE 1

# Change the httpd home for FHS
#  To build the apache package,
#  put the definition of FHS in /usr/lib/rpm/macros.
#    for MIRACLE LINUX V2.x or later:  %FHS 1
#    for Miracle Linux V1.x         :  %FHS 0
%if %{FHS}
%define HTTPD_HOME /var/www
%define LIBEXECDIR /usr/lib
%define LIBEXECDIR_REL modules
%define EXECCALLER apache
%else
%define HTTPD_HOME /home/httpd
%define LIBEXECDIR /usr/libexec
%define LIBEXECDIR_REL /usr/libexec/apache
%define EXECCALLER www
Serial: 2004072101
%endif

Summary: The most widely used Web server on the Internet.
Summary(ja): Ǥ⹭ȤƤ Web С
Name: %{__name}
Version: %{__version}
Release: %{__release}
Group: System Environment/Daemons
Copyright: Apache Software License

Source0: http://www.apache.org/dist/apache_%{version}.tar.gz
Source1: apache-index.html
Source2: miracle_logo.png
Source3: httpd.init
Source4: apache.logrotate
Source5: httpd.bootopt
Source11: apache_pb.gif
Source12: http://www.modssl.org/source/mod_ssl-%{mod_ssl_version}-%{apache_version}.tar.gz
Source13: miracle_config.layout
Source14: apache-httpd_conf.addinclude

Patch0: apache-1.3.19-miraclelinux.patch
#Patch1: apache-1.3.19-apxs.patch
#Patch2: apache-1.3.23-phhttpd.patch
Patch3: apache-1.3.22-httpd_conf.patch
#Patch4: apache-1.3.19-db1.patch
# Patch5: apache-1.3.19-apxs-ifdef.patch
Patch6: apache-1.3.26-manualindex.patch
Patch7: apache-1.3.23-confaddphp.patch
Patch8: apache-1.3.29-hard_server_limit.patch
Patch9:	apache-1.3.31-apxs.patch
Patch10: apache-1.3.32-CAN-2004-0940.patch

URL: http://www.apache.org/httpd.html

Buildroot: /var/tmp/%{name}-%{version}-root

Requires: /etc/mime.types, expat, mod_ssl
BuildPreReq: openssl openssl-devel
Provides: webserver
Prereq: ldconfig, bash, /bin/mktemp, /bin/rm, mailcap, grep, textutils, shadow-utils

#NoSource: 0
#NoSource: 2
#NoSource: 11
#NoSource: 12

%description
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

Install the apache package if you need a Web server.

%description -l ja
Apache ϡϡ¿ǽͭǽǥե꡼ Web Сǡ
󥿡ͥåȤǤϺǤ⹭ȤƤޤ

%package devel
Group: Development/Libraries
Summary: Development tools for the Apache Web server.
Summary(ja): Apache Web Сѳȯġ
Obsoletes: secureweb-devel

%description devel
The apache-devel package contains headerfiles
for the Apache Web server you'll need to build Dynamic
Shared Objects (DSOs) for Apache.

If you are installing the Apache Web server, and you want to be 
able to compile or develop additional modules for Apache, you'll 
need to install this package.

%description devel -l ja
apache-devel ϡapache Web Сѥ⥸塼򥳥ѥ롢
뤤ϳȯ뤿Υإåե뷲Ǥ

%package manual
Group: Documentation
Summary: Documentation for the Apache Web server.
Summary(ja): Apache Web Сѥɥ

%description manual
The apache-manual package contains the complete manual and reference
guide for the Apache Web server.  If you need Apache documentation
installed on the local machine, install this package.

You can see the documentation at http://localhost/manual/.
The information can also be found on the Web at
http://httpd.apache.org/docs/.

%description manual -l ja
apache-manual ϡApache Web СΥޥ˥奢
ե󥹥ɤǤ

http://localhost/manual/ ǻȤǤޤ
ޤǿξϡhttp://httpd.apache.org/docs/ ǻȤǤޤ

%package -n mod_ssl
Group: System Environment/Daemons
Version: %{mod_ssl_version}
Release: %{__release}
URL: http://www.modssl.org/
Summary: An SSL module for the Apache Web server.
Summary(ja): Apache Web С SSL ⥸塼
Requires: openssl >= 0.9.6 apache = %{apache_version}
PreReq: apache = %{apache_version}
BuildPreReq: openssl-devel >= 0.9.6
Obsoletes: apache+ssl apache+RSA-SSL
Provides: apache+ssl

%description -n mod_ssl
The mod_ssl project provides strong cryptography for the Apache 1.3 webserver
via the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols by the help of the Open Source SSL/TLS toolkit OpenSSL, which is
based on SSLeay from Eric A. Young and Tim J. Hudson.

The mod_ssl package was created in April 1998 by Ralf S. Engelschall and was
originally derived from software developed by Ben Laurie for use in the
Apache-SSL HTTP server project. The mod_ssl package is licensed under a
BSD-style licence, which basically means that you are free to get and use it
for commercial and non-commercial purposes.

%description -n mod_ssl -l ja
mod_ssl ϡSSL(Secure Sockets Layer) v2/v3  TLS
(Transport Layer Security) v1 ץȥ𤷤
Apache Web С˶ϤʰŹ󶡤ޤ

SSLTLS ϡEric A. Young  Tim J. Hudson  SSLeay ˤ
Open Source SSL/TLS ġ륭åȤǤ OpenSSL ˰¸Ƥޤ
mod_ssl ѥåϡApache-SSL HTTP СץȤ
ȤƤ Ben Laurie γȯեȥͳ褷
1998 ǯ 4  Ralf S. Engelschall ˤäƺޤ

mod_ssl ѥåϡBSD Υ饤󥹤Ǥ


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n apache_%{apache_version} -a 12
# added layout for Miracle Linux
sed -e "\
	s,__DATADIR__,%{HTTPD_HOME},g;
	s,,," \
%{SOURCE13} >> config.layout

cd mod_ssl-%{mod_ssl_version}-%{apache_version}
./configure --prefix=%{prefix} \
            --with-apache=../ \
            --with-ssl=%{prefix}

cd ..
%patch0 -p1 -b .miracle
#%patch1 -p1 -b .apxs
#%patch2 -p1 -b .phhttpd
%patch3 -p1 -b .httpd-conf
#%patch4 -p1 -b .db1
# %patch5 -p1 -b .apxs-ifdef
%patch6 -p1 -b .manindex
%patch7 -p1 -b .addphp
%patch8 -p1 -b .hardserverlimit
%patch9 -p1 -b .apxs
%patch10 -p1 -b .CAN-2004-0940

%build OPTIM="$RPM_OPT_FLAGS" \ 
	SSL_BASE=%{prefix} \
	./configure \
	--prefix=%{prefix} \
	--with-layout=Miracle_Linux \
	--enable-module=all \
	--enable-shared=max \
	--enable-rule=WANTHSREGEX \
	--disable-module=auth_dbm \
	--with-perl=%{prefix}/bin/perl \
	--enable-suexec \
	--suexec-docroot=%{HTTPD_HOME}/html \
	--suexec-caller=%{EXECCALLER} \
	--manualdir=%{HTTPD_HOME}/html/manual

make certificate TYPE=dummy OPTIM="$RPM_OPT_FLAGS"
make \
%if %{ORACLE}
 EXTRA_LDFLAGS='-lpthread' \
%endif
 OPTIM="-DNO_IDEA $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make root=$RPM_BUILD_ROOT \
     conf_port="80" \
     conf_port_ssl="443" \
     conf_serveradmin="root@localhost" \
     conf_servername="localhost" \
%if %{FHS}
     conf_user="%{EXECCALLER}" \
     conf_group="%{EXECCALLER}" \
%endif
     libexecdir="%{LIBEXECDIR}/apache" \
     libexecdir_relative="%{LIBEXECDIR_REL}/" \
     mandir="%{_mandir}" \
install

cat %{SOURCE14} >> $RPM_BUILD_ROOT/etc/httpd/conf/httpd.conf
strip $RPM_BUILD_ROOT%{prefix}/sbin/httpd
strip $RPM_BUILD_ROOT%{LIBEXECDIR}/apache/*so

# remove apachectl; we have our own SYSV init stuff
rm $RPM_BUILD_ROOT%{prefix}/sbin/apachectl
rm $RPM_BUILD_ROOT%{_mandir}/man8/apachectl.8

# install SYSV init stuff
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755  %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/etc/httpd/conf/httpd.bootopt

# install log rotation stuff
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/apache

ln -s ../../var/log/httpd $RPM_BUILD_ROOT/etc/httpd/logs
ln -s ../..%{LIBEXECDIR}/apache $RPM_BUILD_ROOT/etc/httpd/modules


rm -f $RPM_BUILD_ROOT%{HTTPD_HOME}/html/index.html*
rm -f $RPM_BUILD_ROOT%{HTTPD_HOME}/html/*.gif

# replace vendor tag
sed -e "\
	s,@VENDOR_NAME@,%{VENDOR_NAME},g;
	s,@VENDOR_WEBSITE@,%{VENDOR_WEBSITE},g;
	s,@APACHE_VERSION@,%{apache_version},g;
	s,@SERVERROOT_DIR@,%{HTTPD_HOME}/html/,g;
	s,@CONFDIR@,/etc/httpd/conf/,g;
	s,@LOGDIR@,/var/log/httpd/,g;
	s,,," \
%{SOURCE1} > $RPM_BUILD_ROOT%{HTTPD_HOME}/html/index.html

install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{HTTPD_HOME}/html/vendor.png
install -m644 %{SOURCE11} $RPM_BUILD_ROOT%{HTTPD_HOME}/html/


# replace perl path
find $RPM_BUILD_ROOT -type f | \
	xargs grep -l "/usr/local/bin/perl5" | \
	xargs perl -pi -e "s|/usr/local/bin/perl5|/usr/bin/perl|g;"
find $RPM_BUILD_ROOT -type f | \
	xargs grep -l "/usr/local/bin/perl" | \
	xargs perl -pi -e "s|/usr/local/bin/perl|/usr/bin/perl|g;"

# replace ssl directory
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/ssl
mv $RPM_BUILD_ROOT/etc/httpd/conf/ssl.* \
   $RPM_BUILD_ROOT/etc/httpd/conf/ssl/

%clean
rm -rf $RPM_BUILD_ROOT

%pre
grep -q ^%{EXECCALLER} /etc/passwd
if [ ! $? = 0 ]; then
%if %{FHS}
  /usr/sbin/useradd -r -u 48 -s /bin/false -d /var/www apache \
                                          1>/dev/null 2>dev/null
%else
  useradd -r www 1>/dev/null 2>/dev/null
%endif
fi

%post

[ -f /etc/mime.types ] || exit 0
# safely add .htm to mime types if it is not already there
TEMPTYPES=`/bin/mktemp /tmp/mimetypes.XXXXXX`
[ -z "$TEMPTYPES" ] && {
  echo "could not make temporary file, htm not added to /etc/mime.types" >&2
  exit 1
}
( grep -v "^text/html"  /etc/mime.types
  types=$(grep "^text/html" /etc/mime.types | cut -f2-)
  echo -en "text/html\t\t\t"
  for val in $types ; do
      if [ "$val" = "htm" ] ; then
          continue
      fi
      echo -n "$val "
  done
  echo "htm"
) > $TEMPTYPES
cat $TEMPTYPES > /etc/mime.types && /bin/rm -f $TEMPTYPES
if [ -f /etc/httpd/conf/httpd.bootopt ] ; then
	perl -pi -e 's|#HTTPDOPT=-DSSL|HTTPDOPT=-DSSL|g' /etc/httpd/conf/httpd.bootopt
fi

%preun
if [ $1 = 0 ]; then
    killall -9 httpd
    grep -q ^%{EXECCALLER} /etc/passwd
    if [ $? = 0 ]; then
      userdel %{EXECCALLER} 1>/dev/null 2>/dev/null
    fi
    if test -r /var/run/httpd.pid ; then
      /etc/rc.d/init.d/httpd stop > /dev/null 2>&1
    fi
    chkconfig --del httpd
fi

%files
%defattr(-,root,root)
%dir /etc/httpd
%dir /etc/httpd/conf
%config(noreplace) /etc/httpd/conf/access.conf
%config(noreplace) /etc/httpd/conf/srm.conf
%config(noreplace) /etc/httpd/conf/httpd.conf
%config(noreplace) /etc/httpd/conf/httpd.bootopt
%config /etc/httpd/conf/magic
%config /etc/httpd/conf/mime.types
/etc/httpd/logs
/etc/httpd/modules
%config(noreplace) /etc/logrotate.d/apache
%config /etc/rc.d/init.d/httpd

%dir %{HTTPD_HOME}
%dir %{HTTPD_HOME}/cgi-bin
%{HTTPD_HOME}/cgi-bin/*
%dir %{HTTPD_HOME}/icons
%{HTTPD_HOME}/icons/*
%dir %{HTTPD_HOME}/html
%config(noreplace) %{HTTPD_HOME}/html/index.html*
%{HTTPD_HOME}/html/*.gif
%{HTTPD_HOME}/html/*.png

%dir %{LIBEXECDIR}/apache
%{LIBEXECDIR}/apache/httpd.exp
%{LIBEXECDIR}/apache/libproxy.so
%{LIBEXECDIR}/apache/mod_*
%{_mandir}/man1/dbmmanage.1*
%{_mandir}/man1/htdigest.1*
%{_mandir}/man1/htpasswd.1*
%{_mandir}/man8/ab.8*
%{_mandir}/man8/httpd.8*
%{_mandir}/man8/logresolve.8*
%{_mandir}/man8/rotatelogs.8*
%{_mandir}/man8/suexec.8*
%{prefix}/sbin/ab
%{prefix}/sbin/httpd
%{prefix}/sbin/logresolve
%{prefix}/sbin/rotatelogs
%attr(0711,root,root) %{prefix}/sbin/suexec
%{prefix}/bin/*
%attr(-,nobody,nobody) %dir /var/proxy
%dir /var/log/httpd
%{prefix}/sbin/apxs
%{_mandir}/man8/apxs.8*

%files manual
%defattr(-,root,root)
%{HTTPD_HOME}/html/manual/*

%files devel
%defattr(-,root,root)
%{prefix}/include/apache/*

%files -n mod_ssl
%defattr(-,root,root)
%{LIBEXECDIR}/apache/libssl.so
%dir /etc/httpd/conf/ssl
%config(noreplace) /etc/httpd/conf/ssl/*


%changelog
* Mon Oct 25 2004 Yasuma Takeda <yasuma@miraclelinux.com>
- fix security problem of mod_include module(CAN-2004-0940)
- update to mod_ssl-2.8.21(CAN-2004-0885)

* Wed Jul 21 2004 Yasuma Takeda <yasuma@miraclelinux.com>
- fix ssl_log() related format string vulnerability 

* Mon Jul  5 2004 Yasuma Takeda <yasuma@miraclelinux.com>
- fix security problem of invalid Content-Length header
CAN-2004-0492

* Thu Jun 24 2004 Daisuke Tonoki <tonoki@miraclelinux.com>
- change apxs scripts.

* Tue Jun 24 2004 Daisuke Tonoki <tonoki@miraclelinux.com>
update to apache-1.3.31 for security.
CAN-2003-0987,CAN-2003-0987,CAN-2004-0174,CAN-2003-0993
update to mod_ssl-2.8.18
CAN-2004-0488

* Mon May 17 2004 Daisuke Tonoki <tonoki@miraclelinux.com>
- chanege HARD_SERVER_LIMIT to 4095 in httpd_h.

* Thu Apr 08 2004 Daisuke Tonoki <tonoki@miraclelinux.com>
- add mod_ssl to Require.

* Sun Nov 2 2003 Daisuke Tonoki <tonoki@miraclelinux.com>
- update to apache-1.3.29 and mod_ssl-2.8.16 for CNA-2003-0542.
 
* Mon Jul 22 2003 Daisuke Tonoki <tonoki@miraclelinux.com>
- update to apache-1.3.28 and mod_ssl-2.8.15 for CAN-2002-0469.

* Fri Mar 28 2003 Daisuke Tonoki <tonoki@miraclelinux.com>
- update to mod_ssl-2.8.14

* Mon Nov 18 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- update to mod_ssl 2.8.12

* Mon Oct 7 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- Update to 1.3.27 and mod_ssl-2.8.11

* Tue Sep 17 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- only rebuild for apache/mod_ssl worm fix openssl update.

* Fri Aug 8 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- Fix "wtih-ssl to with-ssl" typo.

* Thu Jul  4 2002 Noboru Higuchi<nhiguchi@miraclelinux.com>
- 1.3.26-3ml
- increase the release number for upgrading from MLSE V2.0 to V2.1

* Tue Jun 25 2002 Noboru Higuchi<nhiguchi@miraclelinux.com>
- 1.3.26-2ml: apache 1.3.26 + mod_ssl 2.8.10

* Thu Jun 20 2002 Noboru Higuchi<nhiguchi@miraclelinux.com>
- 1.3.26-1ml: apache 1.3.26 + mod_ssl 2.8.9
- move "chkconfig --del" from postun to preun

* Thu Mar 28 2002 Noboru Higuchi<nhiguchi@miraclelinux.com>
- 1.3.24-1ml: apache 1.3.24 + mod_ssl 2.8.8
- Add the noreplace attribute to configuration files

* Wed Mar  6 2002 Noboru Higuchi<nhiguchi@miraclelinux.com>
- 1.3.23-1ml: apache 1.3.23 + mod_ssl 2.8.7
- Add chkconfig --del in postun
- Fix the reference in manual/index.html.ja.jis

* Thu Oct 18 2001 Noboru Higuchi<nhiguchi@miraclelinux.com>
- 1.3.22-1ml
- Upgrade apache to 1.3.22, mod_ssl to 2.8.5
- Add the --manualdir switch for the configuration

* Sat Aug 25 2001 Noboru Higuchi<nhiguchi@miraclelinux.com>
- Delete chkconfig in %post and %preun

* Wed Aug 08 2001 Noboru Higuchi<nhiguchi@miraclelinux.com>
- Add FHS condition
- Add an include directive in comment at the end of httpd.conf
- Change exec-caller to apache
- Remove the requirement for distro

* Mon Jul 30 2001 NONAKA Akira<anonaka@miraclelinux.com>
- rebuild for openssl-0.9.6b

* Thu May 31 2001 Takeharu Sato <tsatoh@miraclelinux.com>
- rebuild for openssl-0.9.6a-2

* Thu May 24 2001 Noboru Higuchi <nhiguchi@miraclelinux.com>
- update apache to 1.3.20
- update mod_ssl to 2.8.4

* Sat Apr 07 2001 Noboru Higuchi <nhiguchi@miraclelinux.com>
- update mod_ssl to 2.8.2

* Tue Mar 13 2001 Noboru Higuchi <nhiguchi@miraclelinux.com>
- keep compatibility of httpd.bootopt

* Wed Mar 07 2001 Noboru Higuchi <nhiguchi@miraclelinux.com>
- move httpd.bootopt from mod_ssl to apache
- make the release number of mod_ssl equal to that of apache

* Mon Mar 05 2001 Noboru Higuchi <nhiguchi@miraclelinux.com>
- update apache to 1.3.19
- update mod_ssl to 2.8.1
- remake all patches

* Fri Jan 26 2001 Tatsuo Ito <tito@miraclelinux.com>
- make the pache for apxs and apply it.

* Fri Jan 19 2001 Tatsuo Ito <tito@miraclelinux.com>
- for miraclelinux 
- ORACLE : 0 -> 1

* Thu Jan 18 2001 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- fixed mod_ssl require 
- fixed configure option to --with-ssl=/usr
 
* Mon Jan 15 2001 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- separate the mod_ssl

* Thu Nov 09 2000 Kiichiro Kyle Naka <knaka@turbolinux.co.jp>
- 1.3.14-5
- modified for PHP4 + Oracle8i module

* Wed Nov  8 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- up to mod_ssl 2.7.1 (Rel 4)

* Fri Oct 20 2000 Go Taniguchi <go@turbolinux.co.jp>
- setup for OEM

* Sat Oct 14 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- apply phhttpd.patch 

* Sat Oct 14 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- up to apache 1.3.14
- up to mod_ssl 2.7.0

* Mon Aug 28 2000 SL Baur  <steve@turbolinux.co.jp>
- fix for rpm-4

* Thu Aug 24 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- remove mod_throttle,mod_bandwidth
- fixed spec to use %{_mandir} macro

* Sat Apr 22 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- up to mod_ssl 2.6.3
- fixed LoadModule path typo in apxs.patch

* Wed Apr 19 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- remove NO_IDE compile option to OPTIM

* Thu Apr  6 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- added db1.patch(Apache uses libdb1 instead of Berkeley libdb)
- added killall in %postun section

* Wed Apr 05 2000 KC M <kcm@turbolinux.co.jp>
- use -fterminator-canary-all-functions to compile modules

* Wed Mar 29 2000 Takeshi Aihana <takeshi@turbolinux.co.jp>
- rebuild with gcc SG

* Mon Mar 27 2000 Go Taniguchi <go@turbolinux.co.jp>
- suexec-caller=www
- include mod_ssl

* Mon Mar  6 2000 Toshihiro Yamagishi<Toshihiro.Yamagishi@turbolinux.co.jp>
- add mod_ssl-2.6.2
- up to 1.3.12

* Fri Mar 3 2000 Go Taniguchi <go@turbolinux.co.jp>
- enable-rule=WANTHSREGEX for php_jp

* Sat Feb 19 2000 Kazuhiro Taga <tagache@turbolinux.co.jp>
- rebuild for TurboLinux WorkStation 6.0J
- created apache-turbolinux.patch
- changed apache-index.html

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- strip dynamically loadable modules.

* Mon Feb 02 2000 Zach Brown <zab@redhat.com>
- add phhttpd 'Tunnel' directive and code to use it

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix depenencies

* Tue Jan 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.3.11
- deal with the fact that RPM now gzips man pages

* Wed Jan 12 2000 Preston Brown <pbrown@redhat.com>
- new poweredby.png w/new logo
- apxs.8 man page moved to devel archive (#6661)
- don't remove old logfiles on package de-install (#8268)
- more updates to logrotate to avoid spurious cron mail (#8110)

* Mon Jan 10 2000 Preston Brown <pbrown@redhat.com>
- mod_throttle added; mod_bandwidth updated.

* Mon Dec 17 1999 Dale Lovelace <dale@redhat.com>
- Add configuration for mod_put to httpd.conf

* Mon Dec 06 1999 Preston Brown <pbrown@redhat.com>
- documentation cleanups in httpd.conf (#5357, #6655)
- fixed logrotate script to ignore error if no apache running (#7074)

* Wed Nov 10 1999 Jeff Johnson <jbj@redhat.com>
- add put module.

* Thu Nov 04 1999 Preston Brown <pbrown@redhat.com>
- make suexec non-suid.  People can enable it if they wish themselves.
- somehow the unified httpd.conf got trashed.  fixed.
- manual is now a subpnackage
- point to /usr/share/magic as the magic file location; don't use the
  apache-specific one.
- fix apxs module installation issues (#5650)


* Tue Sep 21 1999 Bill Nottingham <notting@redhat.com>
- move DSO in httpd.conf to after ServerRoot

* Mon Sep 20 1999 Preston Brown <pbrnown@redhat.com>
- it is httpd stop, not httpsd stop (# 5254)
- suexec added (# 5257)

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- remove apachectl man page (# 4459)

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.3.9
- fix bug # 3680 (suexec docroot was wrong)
- fix bug # 2378 (logrotate with -USR1 not -HUP)
- fix bug # 3548 (logrotate complains if apache not running)
- httpd.conf is now in the unified apache format as distributed

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat May 21 1999 Bill Nottingham <notting@redhat.com>
- fix broken link in index.html

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- allow indexes in /doc

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- prerequire /bin/rm, added /doc path pointing to /usr/doc for localhost

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- updated log rotating scripts to not complain if logs aren't present.

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- fixed up path to perl

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- updated init script to conform to new standards
- upgraded to 1.3.6, fixed apxs patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- clean up logfiles on deinstallation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- added mod_bandwidth
- updated to 1.3.4
- prereq mailcap

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- added patch to disable building support for ndbm
- build against glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.3 to catch up with bug fixes
- added the /usr/bin/* binaries to the spec file list

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- change ownership of cache dir to nobody
- added "Red Hat" to the server string
- updated to version 1.3.2
- fixed all references to httpsd in config files

* Fri Sep 04 1998 Cristian Gafton <gafton@redhat.com>
- small fixes to the spec file
- patch to handle correctly the -d <newroot> option
- leave out the .usr.src.apache_%{version} for now

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- patched apxs not to bomb out if it can't find httpd

* Wed Sep 02 1998 Preston Brown <pbrown@redhat.com>
- upgraded to apache 1.3.1.
- Heavy rewrite.
- changed providing a_web_server to just webserver.  Humor is not an option.

* Mon Aug 10 1998 Erik Troan <ewt@redhat.com>
- updated to build as non-root user
- added patch to defeat header dos attack

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the default config files to be more paranoid about security

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- fixed init script
- added index.htm to the list of acceptable indexes

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.6
- added post script to install htm extension for text/html into
  /etc/mime.types

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced sysv init script

* Tue Jan 06 1998 Erik Troan <ewt@redhat.com>
- updated to 1.2.5, which includes many security fixes
n
* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>
- fixed overkill on http.init stop

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added patch for backslash DOS attach

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- added htdigest binary to file list

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- made the default index.html be config(noreplace) so we no longer
  blow away other folks' index.htmln

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- added restart|status options to initscript
- renamed httpd.init to httpd

* Tue Oct 07 1997 Elliot Lee <sopwith@redhat.com>
- Redid spec file, patches, etc. from scratch.

